<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:jaxrs="http://cxf.apache.org/jaxrs"
       xsi:schemaLocation="
http://www.springframework.org/schema/beans
http://www.springframework.org/schema/beans/spring-beans.xsd
http://cxf.apache.org/jaxrs
http://cxf.apache.org/schemas/jaxrs.xsd">

    <import resource="classpath:META-INF/cxf/cxf.xml" />
    <import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

    <jaxrs:server id="jax-rs-server" address="/api">
        <jaxrs:serviceBeans>
            <ref bean="controller" />
        </jaxrs:serviceBeans>
    </jaxrs:server>

    <bean id="controller" class="ar.com.flexia.cxfdemo.Controller">
        <property name="service" ref="service"/>
    </bean>

    <bean id="service" class="ar.com.flexia.cxfdemo.Service"/>
</beans>